#
# spec file for package openstack-horizon-plugin-murano-ui
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname murano-dashboard
%if 0%{?rhel} || 0%{?fedora}
%global rdo 1
%global http_dashboard_dir %{_datarootdir}/openstack-dashboard
%else
%global http_dashboard_dir /srv/www/openstack-dashboard
%endif
Name:           openstack-horizon-plugin-murano-ui
Version:        6.0.0
Release:        1.1
Summary:        The Murano Dashboard
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://wiki.openstack.org/wiki/Murano
Source0:        https://files.pythonhosted.org/packages/source/m/%{sname}/%{sname}-6.0.0.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-dashboard
BuildRequires:  openstack-macros
BuildRequires:  python-muranoclient
BuildRequires:  python-pbr
Requires:       python-horizon-plugin-murano-ui = %{version}
BuildArch:      noarch

%description
The Murano UI Horizon plugin adds Murano panel to the OpenStack dashboard.

%package -n    python-horizon-plugin-murano-ui
Summary:        The Murano Dashboard - Python module
Group:          Development/Languages/Python
Requires:       python-Babel
Requires:       python-Django
Requires:       python-PyYAML
Requires:       python-beautifulsoup4
Requires:       python-django-babel
Requires:       python-django-formtools
Requires:       python-muranoclient
Requires:       python-oslo.log
Requires:       python-pbr
Requires:       python-semantic_version
Requires:       python-yaql

%description -n python-horizon-plugin-murano-ui
The Murano UI Horizon plugin adds Murano panel to the OpenStack dashboard.

%prep
%autosetup -n %{sname}-6.0.0
%py_req_cleanup

%build
%py2_build

%install
%py2_install

install -m 0755 -d %{buildroot}%{http_dashboard_dir}/openstack_dashboard/enabled/
cp -a muranodashboard/local/enabled/*.py %{buildroot}%{http_dashboard_dir}/openstack_dashboard/enabled/
install -m 0755 -d %{buildroot}%{http_dashboard_dir}/openstack_dashboard/local/local_settings.d/
cp -a muranodashboard/local/local_settings.d/_50_murano.py %{buildroot}%{http_dashboard_dir}/openstack_dashboard/local/local_settings.d/_50_murano.py.example
install -m 0755 -d %{buildroot}%{http_dashboard_dir}/openstack_dashboard/conf/
cp -a muranodashboard/conf/murano_policy.json %{buildroot}%{http_dashboard_dir}/openstack_dashboard/conf/

%fdupes %{buildroot}%{python2_sitelib}
%fdupes %{buildroot}%{http_dashboard_dir}

%post
su %{apache_user} -s /bin/sh -c "python %{http_dashboard_dir}/manage.py collectstatic --noinput --clear > /dev/null"

%postun
su %{apache_user} -s /bin/sh -c "python %{http_dashboard_dir}/manage.py collectstatic --noinput --clear > /dev/null"

%files
%doc ChangeLog CONTRIBUTING.rst README.rst
%license LICENSE
%{http_dashboard_dir}/openstack_dashboard/enabled/*.py*
%{http_dashboard_dir}/openstack_dashboard/local/local_settings.d/_50_murano.py.example
%{http_dashboard_dir}/openstack_dashboard/conf/murano_policy.json

%files -n python-horizon-plugin-murano-ui
%doc README.rst
%license LICENSE
%{python2_sitelib}/muranodashboard
%{python2_sitelib}/murano_dashboard-*.egg-info

%changelog
